| Home | Libraries | People | FAQ | More

##### windows::basic_stream_handle::basic_stream_handle (2 of 2 overloads)

Construct a `windows::basic_stream_handle` on an existing native handle.

    basic_stream_handle(
        boost::asio::io_service & io_service,
        const native_type & native_handle);

This constructor creates a stream handle object to hold an existing native handle.

###### Parameters

io_service

  The `io_service` object that the stream handle will use to dispatch handlers for any asynchronous operations performed on the handle.

native_handle

  The new underlying handle implementation.

###### Exceptions

boost::system::system_error

  Thrown on failure.